<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// HamLogWeb
//
// Par F5AGL - GRIP 2008
//
// Email : f5agl@zapgillou.fr
//
// Cette création est mise à disposition selon le Contrat Paternité-Pas d'Utilisation Commerciale-Pas de Modification 2.0 France 
// disponible en ligne http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
// ou par courrier postal à Creative Commons, 171 Second Street, Suite 300, San Francisco, California 94105, USA.
// 
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Fichier : Routine_035_ConnectQSL.php 
//
// Description : Utilitaire à lancer après la mise à jour d'une version < 0.035 afin de reconnecter les QSLs à tous les QSOs
//		 ayant le même call
//
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="content-type">
  <title>HamLogWeb - 035_ConnectQSL.php</title>
</head>

<body>

<?php
set_time_limit(6000000);

include("./configmysql.php");
include("./config.php");

// Connexion au serveur MySQL
$link = mysql_connect($db_host,$db_login,$db_psw) or die("_Impossible de se connecter au serveur MySQL : " . mysql_error());

// Connexion à la base MySQL
$db_selected = mysql_select_db($db_base, $link); if (!$db_selected) { die ('_Impossible de sélectionner la base de données : ' . mysql_error()); }

echo "<BR>_ Routine_035_ConnectQSL.php - HamLogWeb par GRIP 2007-2008";
echo "<BR>";
echo "<BR>_ Les QSL présentes sur votre site seront raccrochées à l'ensemble des QSO ayant le même indicatif.";
echo "<BR>_ Il conviendra ensuite de supprimer depuis votre Centre De Configuration les associations QSO <=> QSL abusives.";
echo "<BR>_ ATTENTION, n'exécutez qu'UNE SEULE FOIS cette routine.";
echo "<BR>";

$dir = opendir("./qsl/");
$nbqsl = 0;
while ($f = readdir($dir))
	{
	if(is_file("./qsl/".$f))
		{
		if (strstr($f,"jpg"))
			{
			$nbqsl = $nbqsl+1;
			$call = QSLCall($f);
			$call = substr($call,0,strlen($call)-7);
			$call = strtoupper(substr($call,4,strlen($call)-4));
			echo "<BR>_ Traitement de la QSL # ".$nbqsl." associée au call ".$call;
			$sql = 'SELECT * FROM `'.$db_table.'_LOG` WHERE `CALL` = \''.$call.'\'';
			$result = mysql_query($sql);
			$nbqso=0;
			while ($ligne=mysql_fetch_row($result))
				{
				$nbqso=$nbqso+1;
				echo "<BR>_ Association  au QSO #".$nbqsl.".".$nbqso.", Date : ".$ligne[0].", Heure : ".$ligne[1];
				$sql2 = 'INSERT INTO `'.$db_table.'_QSL` (`DXCC`, `CALL`, `QSL_DATE`, `QSL_TIME`, `NOMFIC`) VALUES (\''.$ligne[5].'\', \''.$ligne[2].'\', \''.$ligne[0].'\', \''.$ligne[1].'\', \''.$f.'\');';
				$result2 = mysql_query($sql2);
				}
			if ($nbqso==0)
				{
				echo "<BR>_ Aucun QSO à associer à ce call";	
				}
			echo "<BR>";
			}
		}
	}

// fermeture session sur le serveur MySQL
mysql_close($link);

echo "<BR>_ Nombre de fichiers QSL traités : ".$nbqsl;

?>


</body>
</html>

		